Page MenuHomePhabricator | MITK

Saving of 3D images in 2D formats is not working
Open, HighPublic

Description

We used to have a nice functionality which would split up 3D images in 2D images in order to save volumes as 2D .jpeg, .bmp or whatever format. This is especially nice for 3D images with 1 slice. Attached you will find a 3D RGB image with 1 slice which used to work.

I tried our last releases and figured out that this feature is gone for a while. It is not working in 2012-09, however, the checkout 388ed058 (one of the 2012-06 release) is working.

Related Objects

Event Timeline

kilgus added a subscriber: kilgus.

3D RGB image with 1 slice

We should write also an automatic test to ensure this feature is never lost again.

This bug has a high severity and was not fixed within the 2013-06 release. Setting target milestone to next release.

New remote branch pushed: bug-14819-CompositeImageSeriesWriter

[85eebd]: Merge branch 'bug-14819-CompositeImageSeriesWriter'

Merged commits:

2013-09-18 16:28:27 Jan Hering [da008b]
switching to SeriesWriter also for composite types

  • updating comments, better exception handling

The change affects only the saving of images in 2D formats ( png, tif, bmp, jpg). for testing, we need to design a proper scenario ( see T10452 ).

What is the status of this bug? I guess there is not enough time to include it into the upcoming release right? Changing target milestone, feel free to revert that if needed.

Current release is finished. Reseting target milestone...

zelzer added a subscriber: zelzer.Mar 12 2014, 12:07 PM

Resetting release_fix flag for open bugs which are not yet triaged for the 2014.03 release.

I've tested the behaviour on current master, TIFF and PNG works (saving a 2D image) however the BMP and the JP(E)G formats cannot handle this and throw the following exception instead:

Exception occurred when writing to /tmp/Phantom_Mit_Marker_Stufe_0_MF0_IT0_1Images_RGBImage.jpg:
./Modules/Core/src/IO/mitkItkImageIO.cpp:597:

./DiffusionRelease_debugBuild/ep/src/ITK/Modules/IO/JPEG/src/itkJPEGImageIO.cxx:448:
itk::ERROR: JPEGImageIO(0x61c4260): JPEG Writer can only write 2-dimensional images
hering removed hering as the assignee of this task.Sep 30 2016, 11:09 AM
hering added a subscriber: hering.